slepc-3.10.1 2018-10-23
Report Typos and Errors

# SVDReasonView

Displays the reason an SVD solve converged or diverged.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDReasonView(SVD svd,PetscViewer viewer)

Collective on SVD

### Parameter

| svd | - the singular value solver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -svd_converged_reason | - print reason for convergence, and number of iterations

### See Also

SVDSetTolerances(), SVDGetIterationNumber()

Location: src/svd/interface/svdview.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/svd/examples/tutorials/ex14.c.html